import request from '@/utils/request'

// 获取区域地址
export function getTree(data) {
  return request({
    url: '/system/web/position/findChongqingArea',
    method: 'post',
    data: data
  })
}

//归属人管理列表
export function listOrg(data) {
  return request({
    url: '/system/web/collectiveFarmer/searchByPage',
    method: 'post',
    data: data
  })
}

//归属人删除
export function delCollectiveFarmer(data) {
  return request({
    url: '/system/web/collectiveFarmer/delete',
    method: 'post',
    data: data
  })
}

//查询归属区域
export function listArea(datas) {
  return request({
    url: '/system/web/area/searchByPage',
    method: 'post',
    data: datas
  })
}

//查询归属贫困成员
export function listPeople(datas) {
  return request({
    url: '/system/web/farmer/searchByPage',
    method: 'post',
    data: datas
  })
}

//归属人保存
export function saverCollectiveFarmer(datas) {
  return request({
    url: '/system/web/collectiveFarmer/save',
    method: 'post',
    data: datas
  })
}

//归属人跟新
export function updateCollectiveFarmer(datas) {
  return request({
    url: '/system/web/collectiveFarmer/update',
    method: 'post',
    data: datas
  })
}
